%global srcname adal
%global common_description The ADAL for Python library makes it easy for python applications to\
authenticate to AAD in order to access AAD protected web resources.

Name:           python-%{srcname}
Version:        1.2.2
Release:        1%{?dist}
Summary:        ADAL for Python

License:        MIT
URL:            https://github.com/AzureAD/azure-activedirectory-library-for-python
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
# Fix tests with httpretty >= 0.9.0
Patch0:         %{name}-1.2.0-tests.patch
# Disable wstrust endpoint version check
Patch1:         %{name}-1.2.1-wstrust_version.patch

BuildRequires:  pytest
BuildRequires:  python-cryptography
BuildRequires:  python-dateutil
BuildRequires:  python-devel
BuildRequires:  python-httpretty
BuildRequires:  python-jwt
BuildRequires:  python-mock
BuildRequires:  python-requests
BuildRequires:  python-setuptools
BuildArch:      noarch

%description
%{common_description}


%package -n python2-%{srcname}
Summary:        %{summary}
Requires:       python-cryptography
Requires:       python-dateutil
Requires:       python-jwt
Requires:       python-requests
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{common_description}


%prep
%autosetup -p0 -n azure-activedirectory-library-for-python-%{version}


%build
%py2_build


%install
%py2_install


%check
py.test-%{python2_version}


%files -n python2-%{srcname}
%doc README.md
%license LICENSE
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-*.egg-info/


%changelog
* Fri Aug 09 2019 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.2.2-1
- Update to 1.2.2

* Thu Jun 20 2019 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.2.1-2
- Add patch to disable wstrust endpoint version check

* Mon Feb 04 2019 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.2.1-2
- Initial RPM release
